package com.bsz.school_send_back_end.config;

import com.alipay.api.internal.util.AlipaySignature;
import org.springframework.context.annotation.Configuration;

import jakarta.servlet.http.HttpServletRequest;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;

@Configuration
public class AliPayNotifyHandler {

    public void aliPayNotifyUrl(HttpServletRequest request) {
        // 将 HttpServletRequest 的参数转换为 Map<String, String>
        Map<String, String> params = new HashMap<>();
        Enumeration<String> parameterNames = request.getParameterNames();

        while (parameterNames.hasMoreElements()) {
            String paramName = parameterNames.nextElement();
            params.put(paramName, request.getParameter(paramName));
        }

        // 之后可以使用 params 进行业务处理
        // 例如：
        String alipayrsaPublicKey = "MIIBIjANBgKGhKiG9WOBAOEFAAOCAQ8AMIIBCgKCAOEAUQWP3y7DHD0Z+/K+TcGlki0/acP8";
        try {
            // 验证签名
            boolean flag = AlipaySignature.rsaCheckV1(params, alipayrsaPublicKey, "UTF-8", "RSA2");

            if (flag && "TRADE_SUCCESS".equals(params.get("trade_status"))) {
                // 业务处理
                System.out.println("success");
            } else {
                System.out.println("fail");
            }
        } catch (Exception e) {
            e.printStackTrace();
            System.out.println("fail");
        }
    }
}