package com.bsz.school_send_back_end.contant;

import java.math.BigDecimal;
import java.util.Map;
import java.util.Set;

import static java.util.Map.entry;

/**
 * 用户常量
 */
public interface UserConstant {

    /**
     * 盐值
     */
    String USER_SALT = "bsz";

    //  ------- 权限 --------

    /**
     * 默认角色
     */
    String DEFAULT_ROLE = "user";

    /**
     * 商家角色
     */
    String  BUSINESS_ROLE = "business";

    /**
     * 管理员角色
     */
    String ADMIN_ROLE = "admin";

    /**
     * 跑腿角色
     */
    String ERRAND_ROLE = "errand";
    /**
     * Boss
     */
    String BOSS_ROLE = "boss";

    /**
     * 被封号
     */
    String BAN_ROLE = "ban";

    /**
     * 配送地址
     */
    Set<String> VALID_LOCATIONS = Set.of("1公寓", "2公寓", "3公寓","4公寓","5公寓","6公寓",
            "7公寓","8公寓","9公寓","10公寓","11公寓","12公寓","育才大厦");

    /**
     * 公寓配送费
     */
    Map<String, BigDecimal> DELIVERY_FEE_MAP = Map.ofEntries(
            entry("1公寓", new BigDecimal("1.7")),
            entry("2公寓", new BigDecimal("1.7")),
            entry("11公寓", new BigDecimal("1.7")),
            entry("12公寓", new BigDecimal("1.7")),
            entry("5公寓", new BigDecimal("1.2")),
            entry("6公寓", new BigDecimal("1.2")),
            entry("7公寓", new BigDecimal("1.2")),
            entry("3公寓", new BigDecimal("2.3")),
            entry("4公寓", new BigDecimal("2.3")),
            entry("9公寓", new BigDecimal("2.3")),
            entry("10公寓", new BigDecimal("2.3")),
            entry("8公寓", new BigDecimal("2.3")),
            entry("育才大厦", new BigDecimal("2.5"))
    );

    /**
     * 默认等级
     */
    int DEFAULT_LEVEL = 1;

    /**
     * 默认平均分
     */
    double DEFAULT_AVG_SCORE = 1.0;
}
