package com.bsz.school_send_back_end.model.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商家
 *
 * @TableName business
 */
@TableName(value = "business")
@Data
public class Business implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 门店名称
     */
    private String businessName;

    /**
     * 门店头像
     */
    private String businessAvatar;

    /**
     * 门店手机号
     */
    private String businessPhone;

    /**
     * 店铺详细地址
     */
    private String address;

    /**
     * 门店简介
     */
    private String businessProfile;

    /**
     * 商家相册
     */
    private String businessImages;

    /**
     * 分类id
     */
    private Long categoryId;

    /**
     * 开始营业时间
     */
    private String startBusiness;

    /**
     * 结束营业时间
     */
    private String endBusiness;

    /**
     * 状态:0禁用,1启用
     */
    private Integer state;

    /**
     * 店铺状态:0休业,1营业
     */
    private Integer storeStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    @TableLogic
    private Integer isDelete;

    @Serial
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}