package com.bsz.school_send_back_end.model.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 菜品表
 * @TableName dishes
 */
@TableName(value ="dishes")
@Data
public class Dishes implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 商家id
     */
    private Long businessId;

    /**
     * 菜品分组id
     */
    private Long dishesGroupId;

    /**
     * 菜品名称
     */
    private String dishesName;

    /**
     * 菜品图片
     */
    private String dishesImage;

    /**
     * 菜品价格
     */
    private Double dishesPrice;

    /**
     * 打包费
     */
    private Double packPrice;

    /**
     * 库存数量
     */
    private Integer inventoryStatus;

    /**
     * 菜品状态：上架，下架
     */
    private String status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    @TableLogic
    private Integer isDelete;

    @Serial
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}