package com.bsz.school_send_back_end.model.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 跑腿
 * @TableName errand
 */
@TableName(value ="errand")
@Data
public class Errand implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 跑腿姓名
     */
    private String errandName;

    /**
     * 跑腿姓名
     */
    private String errandAvatarUrl;

    /**
     * 性别
     */
    private Integer gender;

    /**
     * 手机号
     */
    private String errandPhone;

    /**
     * 配送范围
     */
    private String distributionScope;

    /**
     * 审核状态 0-未审核 1-审核通过
     */
    private Integer state;

    /**
     * 接单量
     */
    private Integer totalOrders;

    /**
     * 最大接单量
     */
    private Integer maxOrders;

    /**
     * 总金额
     */
    private BigDecimal totalPrice;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    @TableLogic
    private Integer isDelete;

    @TableField(exist = false)
    @Serial
    private static final long serialVersionUID = 1L;
}