package com.bsz.school_send_back_end.model.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 跑腿账单表
 * @TableName errand_bill
 */
@TableName(value ="errand_bill")
@Data
@Schema(description = "跑腿账单响应体")
public class ErrandBill implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 订单Id
     */
    private Long orderId;

    /**
     * 用户手机号
     */
    private String username;

    /**
     * 综合评分
     */
    private BigDecimal income;

    /**
     * 收入状态：0-待结算 1-已结算
     */
    private Integer errandState;

    /**
     * 订单创建时间
     */
    private LocalDateTime orderStartTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}