package com.bsz.school_send_back_end.model.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 跑腿收入
 * @TableName errand_income
 */
@TableName(value ="errand_income")
@Data
public class ErrandIncome implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 跑腿id
     */
    private Long errandId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 综合评分
     */
    private BigDecimal income;

    /**
     * 0未结算 1已结算 2已提现
     */
    private Integer state;

    /**
     * 创建时间
     */
    private Date createTime;

    @TableField(exist = false)
    @Serial
    private static final long serialVersionUID = 1L;
}