package com.bsz.school_send_back_end.model.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;

/**
 * 跑腿任务表
 * @TableName errand_order
 */
@TableName(value ="errand_order")
@Data
public class ErrandOrder implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 订单ID
     */
    private Long orderId;

    /**
     * 跑腿状态: 0无跑腿 1待抢单 2待取货 3待送达 4已送达 5再次抢单
     */
    private Integer errandState;

    /**
     * 送餐开始时间
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private LocalDateTime startTime;

    /**
     * 送餐结束时间
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private LocalDateTime  endTime;

    /**
     * 跑腿员ID
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long errandId;

    /**
     * 任务创建时间
     */
    private Date createTime;

    /**
     * 任务更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    @TableLogic
    private Integer isDelete;

    @TableField(exist = false)
    @Serial
    private static final long serialVersionUID = 1L;
}