package com.bsz.school_send_back_end.model.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 订单详情表
 * @TableName order_details
 */
@TableName(value ="order_details")
@Data
public class OrderDetails implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 关联的订单id
     */
    private Long orderId;

    /**
     * 关联的菜品id
     */
    private Long dishesId;

    /**
     * 购买数量
     */
    private Integer quantity;

    /**
     * 单价
     */
    private BigDecimal price;

    /**
     * 小计（单价 * 数量）
     */
    private BigDecimal subtotal;

    /**
     * 规格属性列表
     */
    private String attributeNames;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间OrderDetailsServiceImpl
     * OrdersServiceImpl
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    @TableLogic
    private Integer isDelete;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}