package com.bsz.school_send_back_end.model.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 退款申请表
 * @TableName order_refunds
 */
@TableName(value ="order_refunds")
@Data
public class OrderRefunds implements Serializable {
    /**
     * 退款申请ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 订单号，唯一标识
     */
    private Long orderId;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 退款原因
     */
    private String reason;

    /**
     * 退款金额
     */
    private BigDecimal amount;

    /**
     * 退款状态：0-待审核, 1-已同意, 2-已拒绝
     */
    private Integer status;

    /**
     * 申请时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}