package com.bsz.school_send_back_end.model.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

/**
 * 订单表
 * @TableName orders
 */
@TableName(value ="orders")
@Data
public class Orders implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 取餐码
     */
    private String pickupCode;

    /**
     * 姓名
     */
    private String userName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 下单用户id
     */
    private Long userId;

    /**
     * 商家id
     */
    private Long businessId;

    /**
     * 跑腿id
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long errandId;

    /**
     * 配送地址
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String location;

    /**
     * 订单实际总价
     */
    private BigDecimal totalPrice;

    /**
     * 取餐方式(0堂食 1自提)
     */
    private Integer pickupMethod;

    /**
     * 支付方式：0微信支付
     */
    private Integer payMethod;

    /**
     * 取餐时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime pickupTime;

    /**
     * 备注
     */
    private String notes;

    /**
     * 订单状态:0未支付 1已完成 2已退款 3已取消
     */
    private Integer state;

    /**
     * 下单时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime createTime;

    /**
     * 支付时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    @TableLogic
    private Integer isDelete;

    @TableField(exist = false)
    @Serial
    private static final long serialVersionUID = 1L;
}