package com.bsz.school_send_back_end.model.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 用户评分
 * @TableName user_rating
 */
@TableName(value ="user_rating")
@Data
public class UserRating implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 商家id
     */
    private Long ratedEntityId;

    /**
     * 评分对象类型：0=商家，1=跑腿
     */
    private Integer ratedEntityType;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 评分
     */
    private Integer rating;

    /**
     * 评论
     */
    private String review;

    /**
     * 商家回复
     */
    private String businessReview;

    /**
     * 创建时间
     */
    private Date createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}