package com.bsz.school_send_back_end.model.dto.business;

import com.bsz.school_send_back_end.model.dto.PageRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商家查询请求体
 *
 * @TableName business
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BusinessQueryRequest extends PageRequest implements Serializable {

    /**
     * id
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 门店名称
     */
    private String businessName;

    /**
     * 门店地址
     */
    private String address;

    /**
     * 门店简介
     */
    private String businessProfile;

    /**
     * 分类id
     */
    private Long categoryId;

    /**
     * 状态:0禁用,1启用
     */
    private Integer state;

    /**
     * 店铺状态:0休业,1营业
     */
    private Integer storeStatus;

    @Serial
    private static final long serialVersionUID = 1L;
}