package com.bsz.school_send_back_end.model.dto.order;

import com.bsz.school_send_back_end.model.dto.PageRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

/**
 * 我的订单查询请求
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MyOrderQueryRequest extends PageRequest implements Serializable {

    /**
     * id
     */
    private Long id;

    /**
     * 取餐方式(0堂食 1自提)
     */
    private Integer pickupMethod;

    /**
     * 订单状态:0未支付 1已完成 2已取消
     */
    private Integer state;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;

    @Serial
    private static final long serialVersionUID = 1L;
}