package com.bsz.school_send_back_end.model.dto.order;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 订单创建请求
 */
@Data
public class OrderAddRequest implements Serializable {

    /**
     * 姓名
     */
    private String userName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 商家id
     */
    private Long businessId;

    /**
     * 订单实际总价
     */
    private BigDecimal totalPrice;

    /**
     * 取餐方式(0堂食 1自提)
     */
    private Integer pickupMethod;

    /**
     * 配送地址
     */
    private String location;

    /**
     * 支付方式
     */
    private Integer payMethod;

    /**
     * 取餐时间
     */
    private String pickupTime;

    /**
     * 备注
     */
    private String notes;

    /**
     * 订单详情
     */
    private List<OrderDetailAddRequest> orderDetailAddRequest;

    @Serial
    private static final long serialVersionUID = 1L;
}