package com.bsz.school_send_back_end.model.enums;

import lombok.Getter;
import org.apache.commons.lang3.ObjectUtils;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

@Getter
public enum FileUploadBizEnum {
    USER_AVATAR("头像", "user_avatar"),

    DISHES_IMAGE("菜品", "dishes"),

    CARD_IMAGE("证件", "card"),

    SYSTEM_IMAGE("系统", "system"),

    TAKEOUT_IMAGE("外卖", "takeout");


    private final String text;

    private final String value;

    FileUploadBizEnum(String text, String value) {
        this.text = text;
        this.value = value;
    }

    /**
     * 获取值列表
     */
    public static List<String> getValues() {
        return Arrays.stream(values()).map(item -> item.value).collect(Collectors.toList());
    }

    /**
     * 根据 value获取枚举
     */
    public static FileUploadBizEnum getEnumByValue(String value) {
        if (ObjectUtils.isEmpty(value)) {
            return null;
        }

        for (FileUploadBizEnum fileEnum : FileUploadBizEnum.values()) {
            if (fileEnum.value.equals(value)) {
                return fileEnum;
            }
        }

        return null;
    }
}
