package com.bsz.school_send_back_end.model.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.bsz.school_send_back_end.model.domain.Business;
import com.bsz.school_send_back_end.model.domain.Dishes;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 购物车表
 * @TableName cart
 */
@TableName(value ="cart")
@Data
public class CartVO implements Serializable {
    /**
     * id
     */
    private Long id;

    /**
     * 商家id
     */
    private Business business;

    /**
     * 菜品id
     */
    private Dishes dishes;

    /**
     * 商品数量
     */
    private Integer quantity;

    /**
     * 当前选择规格的价格
     */
    private BigDecimal price;

    /**
     * 小计（单价 * 数量）
     */
    private BigDecimal subtotal;

    /**
     * 已选规格属性列表
     */
    private String selectedOptions;

    @Serial
    private static final long serialVersionUID = 1L;
}