package com.bsz.school_send_back_end.model.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.NumberFormat;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * Excel订单信息导出
 *
 * @author xy
 */
@Data
public class OrdersExcelByErrandVO {

    /**
     * 订单编号
     */
    @ColumnWidth(20)
    @NumberFormat("#")
    @ExcelProperty(value = "订单编号", index = 0)
    private Long id;

    /**
     * 下单时间
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "下单时间", index = 1)
    private String createTime;

    /**
     * 手机号
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "手机号", index = 2)
    private String phone;

    /**
     * 订单状态
     */
    @ExcelProperty(value = "订单状态", index = 3)
    private String state;

    /**
     * 跑腿订单状态
     */
    @ExcelProperty(value = "跑腿订单状态", index = 4)
    private String errandState;

    /**
     * 订单金额
     */
    @NumberFormat("0.00")
    @ExcelProperty(value = "跑腿收入", index = 5)
    private BigDecimal errandIncome;

    /**
     * 解决 EasyExcel "Duplicate key" 问题
     */
    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        OrdersExcelByErrandVO that = (OrdersExcelByErrandVO) o;
        return Objects.equals(id, that.id) &&
                Objects.equals(createTime, that.createTime) &&
                Objects.equals(phone, that.phone) &&
                Objects.equals(state, that.state) &&
                Objects.equals(errandState, that.errandState) &&
                Objects.equals(errandIncome.stripTrailingZeros(), that.errandIncome.stripTrailingZeros());
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, createTime, phone, state, errandState, errandIncome.stripTrailingZeros());
    }
}
