package com.bsz.school_send_back_end.scheduler;

import com.bsz.school_send_back_end.model.domain.Business;
import com.bsz.school_send_back_end.model.domain.Errand;
import com.bsz.school_send_back_end.service.BusinessLevelService;
import com.bsz.school_send_back_end.service.BusinessService;
import com.bsz.school_send_back_end.service.ErrandLevelService;
import com.bsz.school_send_back_end.service.ErrandService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import jakarta.annotation.Resource;
import java.util.Date;
import java.util.List;

@Component
@Slf4j
public class UpdateBusinessErrand {
    @Resource
    private BusinessService businessService;

    @Resource
    private BusinessLevelService businessLevelService;

    @Resource
    private ErrandService errandService;

    @Resource
    private ErrandLevelService errandLevelService;

    @Scheduled(cron = "0 0 0 * * ?")
    public void updateBusinessLevels() {
        List<Business> list = businessService.list();
        for (Business business : list) {
            businessLevelService.updateBusinessLevel(business.getId());
        }
        List<Errand> errandList = errandService.list();
        for (Errand errand : errandList) {
            errandLevelService.updateErrandLevel(errand.getId());
        }
        log.info("更新商家和跑腿时间：" + new Date());
    }
}
