package com.bsz.school_send_back_end.service;

import com.bsz.school_send_back_end.model.domain.Attribute;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bsz.school_send_back_end.model.dto.attribute.AttributeAddRequest;
import com.bsz.school_send_back_end.model.dto.attribute.AttributeUpdateRequest;
import com.bsz.school_send_back_end.model.vo.SpecificationsVO;

import java.util.List;

/**
* @author xy
*/
public interface AttributeService extends IService<Attribute> {

    /**
     * 根据规格id获取属性脱敏列表
     */
    List<SpecificationsVO> getBySpecificationsVoId(List<SpecificationsVO> specificationsVOList);

    /**
     * 添加规格的属性
     */
    Boolean addAttribute(List<AttributeAddRequest> attributeAddRequest, Long businessId, Long specificationsId);

    /**
     * 校验
     */
    void validAttribute(Attribute attribute);

    /**
     * 更新规格的属性信息
     */
    Boolean updateAttribute(List<AttributeUpdateRequest> attributeUpdateRequests, Long businessId, Long specificationsId);


}
