package com.bsz.school_send_back_end.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.bsz.school_send_back_end.model.domain.Business;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bsz.school_send_back_end.model.domain.BusinessAuth;
import com.bsz.school_send_back_end.model.domain.User;
import com.bsz.school_send_back_end.model.dto.business.BusinessQueryRequest;
import com.bsz.school_send_back_end.model.vo.BusinessVO;

import jakarta.servlet.http.HttpServletRequest;
import java.util.List;

/**
* @author xy
*/
public interface BusinessService extends IService<Business> {

    /**
     * 添加商户和商家的账户以及填充认证信息
     * @param user
     * @param business
     * @param businessAuth
     */
    void addBusiness(User user, Business business, BusinessAuth businessAuth);



    void validBusiness(Business business, boolean add);

    void validBusinessAuth(BusinessAuth businessAuth, boolean add);

    /**
     * 获取查询条件
     */
    QueryWrapper<Business> getQueryWrapper(BusinessQueryRequest businessQueryRequest);

    BusinessVO getBusinessVO(Business business);
    /**
     * 获取脱敏的商家信息
     */
    List<BusinessVO> getBusinessVO(List<Business> businessList);


    /**
     * 获取当前登录商家
     */
    Business getLoginBusiness(HttpServletRequest request);

    /**
     * 查询所有商家
     */
    List<BusinessVO> findAllBusiness();
}
