package com.bsz.school_send_back_end.service;

import com.bsz.school_send_back_end.model.domain.Cart;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bsz.school_send_back_end.model.dto.cart.CartAddRequest;
import com.bsz.school_send_back_end.model.dto.cart.CartUpdateRequest;
import com.bsz.school_send_back_end.model.vo.CartVO;
import org.springframework.beans.BeanUtils;
import org.springframework.util.CollectionUtils;

import jakarta.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
* @author xy
*/
public interface CartService extends IService<Cart> {

    /**
     * 校验
     */
    void validCart(CartAddRequest cartAddRequest);

    /**
     * 添加菜品
     */
    Long addCart (CartAddRequest cartAddRequest, HttpServletRequest request);

    /**
     * 更新购物车菜品
     */
    Boolean updateCart(CartUpdateRequest cartUpdateRequest, HttpServletRequest request);

    /**
     * 删除购物车菜品
     */
    Boolean deleteCart(Long cartId, HttpServletRequest request);

    /**
     * 获取购物车脱敏列表
     */
    List<CartVO> getCartVOList(List<Cart> cartList);

}
