package com.bsz.school_send_back_end.service;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bsz.school_send_back_end.model.domain.Dishes;
import com.bsz.school_send_back_end.model.dto.Dishes.DishesQueryRequest;
import com.bsz.school_send_back_end.model.vo.DishesVO;
import java.util.List;

/**
* @author xy
*/
public interface DishesService extends IService<Dishes> {

    /**
     * 根据分组id删除菜品
     */
    void removeByDishesGroupId(Long dishesGroupId);

    /**
     * 校验
     */
    void validDishes(Dishes dishes, Boolean update);

    /**
     * 添加菜品
     */
    Long addDishes(Dishes dishes);

    /**
     * 更新菜品
     */
    Boolean updateDishes(Dishes dishes);

    /**
     * 获取菜品脱敏信信息
     */
    List<DishesVO> getDishesVOList(List<Dishes> dishesList);

    /**
     * 获取菜品脱敏信息
     */
    DishesVO getDishesVO(Dishes dishes);


    /**
     * 获取菜品查询条件
     */
    QueryWrapper<Dishes> getWrapper(DishesQueryRequest dishesQueryRequest);
}
