package com.bsz.school_send_back_end.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.bsz.school_send_back_end.model.domain.Errand;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bsz.school_send_back_end.model.domain.ErrandIncome;
import com.bsz.school_send_back_end.model.domain.Orders;
import com.bsz.school_send_back_end.model.domain.User;
import com.bsz.school_send_back_end.model.dto.CommonRequest;
import com.bsz.school_send_back_end.model.dto.errand.ErrandQueryRequest;
import com.bsz.school_send_back_end.model.dto.errand.ErrandStateRequest;
import com.bsz.school_send_back_end.model.dto.errand.ErrandUpdateRequest;
import com.bsz.school_send_back_end.model.vo.ErrandVO;

import jakarta.servlet.http.HttpServletRequest;

/**
* @author xy
*/
public interface ErrandService extends IService<Errand> {
    /**
     * 校验跑腿
     */
    void validErrand (Errand errand, boolean add);

    /**
     * 添加跑腿
     */
    void addErrand (User user, Errand errand);

    /**
     * 删除跑腿
     */
    void deleteErrand (HttpServletRequest request);

    /**
     * 获取当前登录跑腿
     */
    Errand getLoginErrand(HttpServletRequest request);

    /**
     * 获取查询对象
     */
    QueryWrapper<Errand> getQueryWrapper(ErrandQueryRequest queryRequest);

    /**
     * 修改订单状态
     */
    void orderToErrand (ErrandStateRequest errandStateRequest, HttpServletRequest request);

    /**
     * 修改跑腿
     */
    Boolean updateErrand (ErrandUpdateRequest updateRequest);

    /**
     * 修改跑腿接单量
     */
    void updateTotal (Errand errand, boolean add);

    /**
     * 获取跑腿视图
     */
    ErrandVO getErrandVO(Errand errand);


}
