package com.bsz.school_send_back_end.service;

import com.bsz.school_send_back_end.model.domain.Specifications;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bsz.school_send_back_end.model.dto.attribute.AttributeAddRequest;
import com.bsz.school_send_back_end.model.dto.attribute.AttributeUpdateRequest;
import com.bsz.school_send_back_end.model.vo.SpecificationsVO;

import jakarta.servlet.http.HttpServletRequest;
import java.util.List;

/**
* @author xy
*/
public interface SpecificationsService extends IService<Specifications> {

    /**
     * 校验
     */
    void validSpecifications(Specifications specifications, boolean add);

    /**
     * 添加规格
     */
    Boolean addSpecifications(Specifications specifications, List<AttributeAddRequest> attributeAddRequests, HttpServletRequest request);

    /**
     * 更新规格
     */
    Boolean updateSpecifications(Specifications specifications, List<AttributeUpdateRequest> attributeUpdateRequests, HttpServletRequest request);

    /**
     * 获取规格脱敏列表
     */
    List<SpecificationsVO> getSpecificationsVO(List<Specifications> specificationsList);
}
