package com.bsz.school_send_back_end.service;

import com.bsz.school_send_back_end.model.domain.UserRating;
import com.baomidou.mybatisplus.extension.service.IService;

import jakarta.servlet.http.HttpServletRequest;
import java.util.List;

/**
* @author xy
*/
public interface UserRatingService extends IService<UserRating> {

    /**
     * 校验
     */
    void validUserRating(UserRating userRating, HttpServletRequest request);

    /**
     * 校验商家是否能够回复用户评分
     */
    void validUserRatingByBusiness(Long userRatingId, HttpServletRequest request);

    /**
     * 根据当前用户获取评分
     * @param request 当前用户
     * @return 评分列表
     */
    List<UserRating> listUserRatingByUser(HttpServletRequest request);

    /**
     * 获取等级
     * @param averageScore
     * @return
     */
    int calculateLevel(Double averageScore);
}
