package com.bsz.school_send_back_end.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bsz.school_send_back_end.common.ErrorCode;
import com.bsz.school_send_back_end.exception.BusinessException;
import com.bsz.school_send_back_end.model.domain.Business;
import com.bsz.school_send_back_end.model.domain.BusinessAuth;
import com.bsz.school_send_back_end.model.vo.BusinessAdminVO;
import com.bsz.school_send_back_end.service.BusinessAuthService;
import com.bsz.school_send_back_end.mapper.BusinessAuthMapper;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

/**
* @author xy
*/
@Service
public class BusinessAuthServiceImpl extends ServiceImpl<BusinessAuthMapper, BusinessAuth>
    implements BusinessAuthService{

    @Override
    public BusinessAdminVO getBusinessAdminVO(Business business) {
        if (business == null) {
            throw new BusinessException(ErrorCode.PARAMS_ERROR);
        }
        BusinessAdminVO businessAdminVO = new BusinessAdminVO();

        //关联认证信息 传入到视图中
        BusinessAuth businessAuth = new BusinessAuth();
        Long id = business.getId();
        if (id != null && id > 0) {
            QueryWrapper<BusinessAuth> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("businessId", id);
            businessAuth = this.getOne(queryWrapper);
        }

        BeanUtils.copyProperties(business, businessAdminVO);
        
        if (businessAuth == null) {
            throw new BusinessException(ErrorCode.NULL_ERROR);
        }

        BeanUtils.copyProperties(businessAuth, businessAdminVO);

        return businessAdminVO;
    }
}




