package com.bsz.school_send_back_end.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bsz.school_send_back_end.contant.CommonConstant;
import com.bsz.school_send_back_end.mapper.BusinessinfoMapper;
import com.bsz.school_send_back_end.model.domain.Businessinfo;
import com.bsz.school_send_back_end.model.dto.businessinfo.InfoQueryRequest;
import com.bsz.school_send_back_end.service.BusinessinfoService;
import com.bsz.school_send_back_end.utils.SqlUtils;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
* @author xy
*/
@Service
public class BusinessinfoServiceImpl extends ServiceImpl<BusinessinfoMapper, Businessinfo>
    implements BusinessinfoService {

    @Override
    public QueryWrapper<Businessinfo> getQueryWrapper(InfoQueryRequest infoQueryRequest) {
        Long businessId = infoQueryRequest.getBusinessId();
        Date createTime = infoQueryRequest.getCreateTime();
        String sortField = infoQueryRequest.getSortField();
        String sortOrder = infoQueryRequest.getSortOrder();
        QueryWrapper<Businessinfo> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(ObjectUtils.isNotEmpty(businessId), "businessId", businessId);
        queryWrapper.le(ObjectUtils.isNotEmpty(createTime), "createTime", createTime);
        queryWrapper.orderBy(SqlUtils.validSortField(sortField), sortOrder.equals(CommonConstant.SORT_ORDER_ASC ), sortField);
        return queryWrapper;
    }
}




