package com.bsz.school_send_back_end.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bsz.school_send_back_end.common.ErrorCode;
import com.bsz.school_send_back_end.exception.BusinessException;
import com.bsz.school_send_back_end.exception.ThrowUtils;
import com.bsz.school_send_back_end.model.domain.Category;
import com.bsz.school_send_back_end.service.CategoryService;
import com.bsz.school_send_back_end.mapper.CategoryMapper;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;

/**
* @author xy
*/
@Service
public class CategoryServiceImpl extends ServiceImpl<CategoryMapper, Category>
    implements CategoryService{

    @Resource
    private CategoryMapper categoryMapper;

    @Override
    public void validCategory(Category category, boolean add) {
        String name = category.getName();
        String image = category.getImage();
        LambdaQueryWrapper<Category> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(Category::getName, name);
        if (add) {
            ThrowUtils.throwIf(name == null, ErrorCode.PARAMS_ERROR, "请传入名称！");
        }

        if (StringUtils.isAnyBlank(image)) {
            throw new BusinessException(ErrorCode.PARAMS_ERROR,"请传入图片");
        }
        Long count = categoryMapper.selectCount(wrapper);
        ThrowUtils.throwIf(count > 0, ErrorCode.PARAMS_ERROR, "名称重复");
    }
}




