package com.bsz.school_send_back_end.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bsz.school_send_back_end.contant.CommonConstant;
import com.bsz.school_send_back_end.model.domain.Systemlog;
import com.bsz.school_send_back_end.model.dto.log.LogQueryRequest;
import com.bsz.school_send_back_end.service.SystemlogService;
import com.bsz.school_send_back_end.mapper.SystemlogMapper;
import com.bsz.school_send_back_end.utils.SqlUtils;
import org.apache.commons.lang3.ObjectUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

/**
* @author xy
*/
@Service
public class SystemlogServiceImpl extends ServiceImpl<SystemlogMapper, Systemlog>
    implements SystemlogService{

    @Override
    public QueryWrapper<Systemlog> getQueryWrapper(LogQueryRequest logQueryRequest) {
        Long userId = logQueryRequest.getUserId();
        String content = logQueryRequest.getContent();
        String ip = logQueryRequest.getIp();
        String startTime = logQueryRequest.getStartTime();
        String endTime = logQueryRequest.getEndTime();
        String sortField = logQueryRequest.getSortField();
        String sortOrder = logQueryRequest.getSortOrder();
        QueryWrapper<Systemlog> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(ObjectUtils.isNotEmpty(userId), "userId", userId);
        queryWrapper.eq(StringUtils.isNotBlank(content), "content", content);
        queryWrapper.eq(StringUtils.isNotBlank(ip), "ip", ip);
        queryWrapper.ge(StringUtils.isNotBlank(startTime), "createTime", startTime);
        queryWrapper.le(StringUtils.isNotBlank(endTime), "createTime", endTime);
        queryWrapper.orderBy(SqlUtils.validSortField(sortField), sortOrder.equals(CommonConstant.SORT_ORDER_ASC),
                sortField);
        return queryWrapper;
    }
}




