package com.bsz.school_send_back_end.utils;

import static com.bsz.school_send_back_end.contant.RedisKeyConstant.*;
import static org.springframework.session.data.redis.RedisIndexedSessionRepository.DEFAULT_NAMESPACE;

public class RedisKeyUtils {

    /**
     * 获取一登录用户的ip和sessionId对应的key
     * @param userId
     * @return
     */
    public static String getUserExtraInfoKey(Long userId) {
        return USER_EXTRA_INFO + String.valueOf(userId);
    }

    /**
     * 获取session信息对应的key
     * @param sessionId
     * @return
     */
    public static String getSessionKey(String sessionId) {
        return DEFAULT_NAMESPACE + ":" + SESSION_KEY_POSTFIX + ":" + sessionId;
    }

    public static String getSessionAttrKey(String attrName) {
        return SESSION_ATTRIBUTE_PREFIX + ":" + attrName;
    }
}
