package com.bsz.school_send_back_end.utils;

import org.springframework.stereotype.Component;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;

/**
 * 取餐码生成
 * @author xy
 */
@Component
public class UniqueNumberGenerator {
    private static int sequenceNumber = 1;  // 初始化每天的序列号，从1开始
    private static String lastDate = "";    // 记录上次生成数字的日期
    private static final Random random = new Random();  // 随机数生成器

    // 生成17位的唯一编号
    public static String generateNumber() {
        // 获取当前日期的年月日格式 (前8位)
        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyyMMdd");
        String dateStr = dateFormat.format(new Date());

        // 检查日期是否变更，如果变更则重置序列号
        if (!dateStr.equals(lastDate)) {
            lastDate = dateStr;
            sequenceNumber = 1; // 每天重置为0001
        }

        // 生成中间5位的随机数
        int middleRandom = 10000 + random.nextInt(90000); // 生成10000到99999之间的随机数

        // 格式化后四位的序列号
        String sequenceStr = String.format("%04d", sequenceNumber);

        // 更新序列号，为下一次调用准备
        sequenceNumber++;

        // 组合并返回结果
        return dateStr + middleRandom + sequenceStr;
    }

}
